Bug 14450 - MySQL extension in the PHP specfile.
MySQL extension in the PHP specfile.
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-07-21 20:31 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-21 20:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-07-21 20:31:54 EDT
The configure section of the PHP4 rpm specfile has --with-mysql turned on. 
The mysql extension for PHP4 is also built later in the specfile.  This
causes problems after compilation because the mysql extensions are trying
to load a second time when you turn on the extension in the php.ini config
All I needed to do to fix this in the specfile was take out the
--with-mysql flag in the configuration section.

Also, unless RedHat is planning to redistribute MySQL as their own package
with lowercase letters, it would be nice if they changed the require
directive to require MySQL instead of mysql.  The MySQL rpms that are on
MySQL mirrors install properly as MySQL.
Comment 1 Nalin Dahyabhai 2000-07-23 16:53:38 EDT
This is already fixed in our build tree.

Note You need to log in before you can comment on or make changes to this bug.